import { OnInit, AfterViewInit, TemplateRef, EventEmitter } from '@angular/core';
import { BuilderService } from '../../services/builder.service';
/**
 * Component that allows nested ngxDroppable and ngxDraggables
 */
export declare class ContainerComponent implements OnInit, AfterViewInit {
    builderService: BuilderService;
    disabled: boolean;
    modelIndex: any;
    modelContainer: any;
    activeModel: any;
    model: any;
    copy: boolean;
    removeOnSpill: boolean;
    droppableItemClass: string | ((o: any) => any);
    dropZone: string;
    dropZones: string[];
    moves: (model: any, source: any, handle: any, sibling: any) => boolean;
    onClick(): void;
    template: TemplateRef<any>;
    droppable: any;
    drop: EventEmitter<any>;
    drag: EventEmitter<any>;
    over: EventEmitter<any>;
    out: EventEmitter<any>;
    remove: EventEmitter<any>;
    cancel: EventEmitter<any>;
    _dropZones: string[];
    _defaultZones: string[];
    ngOnInit(): void;
    private _formBuilderHelper;
    constructor(builderService: BuilderService);
    ngAfterViewInit(): void;
    shouldMove(): boolean;
    readonly hasRows: any;
    readonly canMoveDown: any;
    readonly canMoveUp: boolean;
    addNew(): void;
    delete(): void;
    moveDown(): void;
    moveUp(): void;
}
